val DTLauncher = <DefenseTech:machine:0>;
val DTControl = <DefenseTech:machine:1>;
val DTFrame = <DefenseTech:machine:2>;
val MM = <DefenseTech:missile:23>;
val DTLauncherT1 = DTLauncher.withTag({tier: 0});
val DTLauncherT2 = DTLauncher.withTag({tier: 1});
val DTLauncherT3 = DTLauncher.withTag({tier: 2});
val DTControlT1 = DTControl.withTag({tier: 0});
val DTControlT2 = DTControl.withTag({tier: 1});
val DTControlT3 = DTControl.withTag({tier: 2});
val DTFrameT1 = DTFrame.withTag({tier: 0});
val DTFrameT2 = DTFrame.withTag({tier: 1});
val DTFrameT3 = DTFrame.withTag({tier: 2});
val MCbasic = <Mekanism:ControlCircuit:0>;
val MCadv = <Mekanism:ControlCircuit:1>;
val MCexp = <Mekanism:ControlCircuit:2>;
val bars = <minecraft:iron_bars:*>;
val Iingot = <ore:ingotIron>;
val Itin = <ore:ingotTin>;
val Ilead = <ore:ingotLead>;
val Inugget = <ore:nuggetIron>;
val Gnugget = <ore:nuggetGold>;
val redstone = <ore:dustRedstone>;
val glassPane = <ore:paneGlass>;
val gunpowder = <ore:dustGunpowder>;
val laser = <DefenseTech:laserDesignator>;
val gunRadar = <DefenseTech:radarGun>;
val buttonStone = <minecraft:stone_button>;
val remoteD = <DefenseTech:remoteDetonator>;
val laserD = <DefenseTech:laserDesignator>;
val skyStone = <appliedenergistics2:tile.BlockSkyStone>;
val obsidian = <ore:blockObsidian>;
val cobble = <minecraft:cobblestone>;


recipes.remove(DTLauncherT1);
recipes.remove(DTLauncherT2);
recipes.remove(DTLauncherT3);
recipes.remove(DTLauncher);
recipes.remove(DTControl);
recipes.remove(DTControlT1);
recipes.remove(DTControlT2);
recipes.remove(DTControlT3);
recipes.remove(DTFrame);
recipes.remove(DTFrameT1);
recipes.remove(DTFrameT2);
recipes.remove(DTFrameT3);
recipes.remove(MM);
recipes.remove(gunRadar);
recipes.remove(laser);
recipes.remove(remoteD);
recipes.remove(laserD);

recipes.addShaped(DTLauncherT1,
[[bars, null, bars],
[bars, null, bars],
[bars, Iingot, bars]]);

recipes.addShaped(DTLauncherT2,
[[bars, null, bars],
[Iingot, null, Iingot],
[bars, Iingot, bars]]);

recipes.addShaped(DTLauncherT3,
[[bars, null, bars],
[Ilead, null, Ilead],
[bars, Iingot, bars]]);

recipes.addShaped(DTControlT1,
[[Inugget, null, Inugget],
[Inugget, MCbasic, Inugget],
[Inugget, redstone, Inugget]]);

recipes.addShaped(DTControlT2,
[[Inugget, null, Inugget],
[Inugget, MCadv, Inugget],
[Gnugget, redstone, Gnugget]]);

recipes.addShaped(DTControlT3,
[[Inugget, glassPane, Inugget],
[Inugget, MCexp, Inugget],
[Gnugget, redstone, Gnugget]]);

recipes.addShaped(DTFrameT1,
[[null, null, null],
[null, bars, null],
[null, bars, null]]);

recipes.addShaped(DTFrameT2,
[[null, bars, null],
[redstone, bars, redstone],
[null, bars, null]]);

recipes.addShaped(DTFrameT3,
[[null, bars, null],
[redstone, bars, redstone],
[Iingot, bars, Iingot]]);

recipes.addShaped(MM*2,
[[null, Iingot, null],
[Iingot, MCbasic, Iingot],
[Iingot, gunpowder, Iingot]]);

recipes.addShaped(gunRadar,
[[glassPane, MCbasic, Iingot],
[null, buttonStone, Iingot],
[null, null, Iingot]]);

recipes.addShaped(remoteD,
[[null, Iingot, null],
[Iingot, MCbasic, buttonStone],
[null, Iingot, null]]);

recipes.addShaped(laserD,
[[redstone, bars, redstone],
[Inugget, MCbasic, Inugget],
[null, Inugget, null]]);

val logicPress = <appliedenergistics2:item.ItemMultiMaterial:15>;
val siliconPress = <appliedenergistics2:item.ItemMultiMaterial:19>;
val engineeringPress = <appliedenergistics2:item.ItemMultiMaterial:14>;
val calcPress = <appliedenergistics2:item.ItemMultiMaterial:13>;
val gearIron = <ore:gearIron>;
val silicon = <ore:itemSilicon>;
val steel = <ore:ingotSteel>;
val computer = <ComputerCraft:CC-Computer>;

recipes.addShaped(skyStone*9,
[[cobble, cobble, cobble],
[cobble, obsidian, cobble],
[cobble, cobble, cobble]]);

recipes.addShaped(logicPress,
[[null, redstone, null],
[null, gearIron, null]]);

recipes.addShaped(siliconPress,
[[null, silicon, null],
[null, gearIron]]);

recipes.addShaped(engineeringPress,
[[null, steel, null],
[null, gearIron]]);

recipes.addShaped(calcPress,
[[null, computer, null],
[null, gearIron, null]]);


val paste = <secretroomsmod:CamoflaugePaste>;

recipes.remove(paste);

recipes.addShaped(paste*8,
[[cobble, null, cobble]]);


